#!/bin/bash
cd `dirname $0`
is_run=`ps -ef |egrep 'yh-(oes|signature)'|sed "s:\\s\s*:|:g"|cut -d "|" -f2`
if [ "`echo $is_run|grep '[0-9][0-9]*'`" != "" ]
then
    kill -9 `echo $is_run`
fi


nohup ./bin/yh-signature-server -c "`pwd`/bin/config.toml" >/dev/null 2>&1 &

if [ $(grep -c "enable_preload: true" ../resources/config.yml) != "0" ]; then
  user="${SUDO_USER}"
  if [ "${user}" = "" ]; then
    # shellcheck disable=SC2045
    for item in $(ls "/home"); do
      if [ -d "/home/${item}" ]; then
        user="${item}"
        break
      fi
    done
  fi
  nohup sudo -u "${user}" ../sc-reader --server > /dev/null 2>&1 &
fi
exit 0
